Bug 839141 - web_formats publican.cfg info is incorrect
web_formats publican.cfg info is incorrect
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: Publican Users Guide (Show other bugs)
2.7
Unspecified Unspecified
unspecified Severity unspecified
: 3.2
: ---
Assigned To: Zac Dover
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 01:42 EDT by Jared MORGAN
Modified: 2015-08-09 21:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 00:47:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jared MORGAN 2012-07-11 01:42:48 EDT
Description of problem:

The format example you need to specify for the publican.cfg attribute "web_formats" is incorrect. 


Version-Release number of selected component (if applicable):

http://jfearn.fedorapeople.org/en-US/Publican/2.7/html-single/Users_Guide/index.html


Steps to Reproduce:
1. Click the link above.
2. Search for "web_formats: html-single" to find the string.
  
Actual results:

The web_formats: html-single,pdf,txt format is incorrect. You must enclose the formats in quotes. For example: web_formats: "html-single,pdf,txt"

Expected results:

All instances of "web_formats" in the guide, including most importantly the parameter description in the "3.1.1. The publican.cfg file" section reflect the correct usage.

Additional info:
Comment 2 Zac Dover 2013-07-11 02:58:59 EDT
In

3.8.1.2. Desktop packages and web packages

I changed 
web_formats: html-single,pdf,txt
to
web_formats: "html-single,pdf,txt"
(I added quotes around the list of formats.)

Committed
d0169c7..086b8aa
Comment 3 HSS Product Manager 2013-07-15 19:59:05 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 4 Misha H. Ali 2013-08-07 02:22:48 EDT
(In reply to Zac Dover from comment #2)
> In
> 
> 3.8.1.2. Desktop packages and web packages
> 
> I changed 
> web_formats: html-single,pdf,txt
> to
> web_formats: "html-single,pdf,txt"
> (I added quotes around the list of formats.)
> 

Located corrected sample in 4.8.1.2.
Comment 5 Jeff Fearn 2013-08-09 00:47:31 EDT
The fix for this bug has been shipped in publican 3.2.0

Note You need to log in before you can comment on or make changes to this bug.